Reallocate location - Fabric
Reallocate location
cURL
curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/allocation/reallocate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '\
{
"channel": "ship1233234555g",
"tenant": "ship1233234555g",
"id": "98ff5c0bec0aed3c86202c32",
"orderNumber": "ship1233234555g",
"items": [\
{\
"lineItemId": "134fqfaa532qrf",\
"allocationLineNumber": 1,\
"quantity": 3\
}\
]
}
'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/allocation/reallocate"
payload = {
"channel": "ship1233234555g",
"tenant": "ship1233234555g",
"id": "98ff5c0bec0aed3c86202c32",
"orderNumber": "ship1233234555g",
"items": [\
{\
"lineItemId": "134fqfaa532qrf",\
"allocationLineNumber": 1,\
"quantity": 3\
}\
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
channel: 'ship1233234555g',
tenant: 'ship1233234555g',
id: '98ff5c0bec0aed3c86202c32',
orderNumber: 'ship1233234555g',
items: [{lineItemId: '134fqfaa532qrf', allocationLineNumber: 1, quantity: 3}]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/allocation/reallocate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/allocation/reallocate",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PUT",\
CURLOPT_POSTFIELDS => json_encode([\
'channel' => 'ship1233234555g',\
'tenant' => 'ship1233234555g',\
'id' => '98ff5c0bec0aed3c86202c32',\
'orderNumber' => 'ship1233234555g',\
'items' => [\
[\
'lineItemId' => '134fqfaa532qrf',\
'allocationLineNumber' => 1,\
'quantity' => 3\
]\
]\
]),\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>",\
"Content-Type: application/json",\
"x-site-context: <x-site-context>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/allocation/reallocate"
payload := strings.NewReader("{\n \"channel\": \"ship1233234555g\",\n \"tenant\": \"ship1233234555g\",\n \"id\": \"98ff5c0bec0aed3c86202c32\",\n \"orderNumber\": \"ship1233234555g\",\n \"items\": [\n {\n \"lineItemId\": \"134fqfaa532qrf\",\n \"allocationLineNumber\": 1,\n \"quantity\": 3\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
Success (200)
{
"message": "Reallocation process completed Successfully with !! allocation Ids [6315dec507025b003f20ed3c]"
}
Allocation Not Found (400)
{
"message": "AllocationId is not found"
}
Internal Server Error (500)
{
"message": "Internal Server Error"
}
Authorization
- Authorization: required
- Type:
string
- Format:
Bearer <token>
Headers
- x-site-context: required
- Type:
string
- Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Body Structure
- channel: required
- Type:
string
- Example:
"ship1233234555g"
- tenant: required
- Type:
string
- Example:
"ship1233234555g"
- id: required
- Type:
string
- Example:
"98ff5c0bec0aed3c86202c32"
- orderNumber: required
- Type:
string
- Example:
"ship1233234555g"
- items: optional